summaryrefslogtreecommitdiffstats
path: root/graphics/dcraw/dcraw.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/dcraw/dcraw.SlackBuild')
-rw-r--r--graphics/dcraw/dcraw.SlackBuild105
1 files changed, 105 insertions, 0 deletions
diff --git a/graphics/dcraw/dcraw.SlackBuild b/graphics/dcraw/dcraw.SlackBuild
new file mode 100644
index 0000000000..72507d2f3e
--- /dev/null
+++ b/graphics/dcraw/dcraw.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware Package Build Script for dcraw
+# Home Page http://cybercom.net/~dcoffin/dcraw
+
+# Copyright (c) 2007, Nishant Limbachia (nishant@mnspace.net)
+# Copyright (c) 2007, Robby Workman <rworkman@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+### We're including the rawphoto.c file which builds an extra gimp plugin
+### If you want to build the rawphoto gimp plug-in, invoke the script
+### with "rawphoto" option (without the quotes) as $1 -- that is:
+### ./dcraw.SlackBuild rawphoto
+
+PRGNAM=dcraw
+VERSION=8.80
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+### DCRaw build flags as suggested on the author's page.
+### builds with support for jpeg, png, lcms and tiff
+DCRAW_BUILD_FLAGS="-lm -ljpeg -llcms -lpng -ltiff"
+
+set -e # Exit on most errors
+
+rm -fr $TMP/$PRGNAM $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+gcc \
+ $SLKCFLAGS -Wall -v \
+ -o dcraw dcraw.c \
+ $DCRAW_BUILD_FLAGS \
+ -DLOCALEDIR=\"/usr/share/locale/\"
+
+install -D -m 0755 dcraw $PKG/usr/bin/dcraw
+strip --strip-unneeded $PKG/usr/bin/dcraw
+
+install -D -m 0644 dcraw.1 $PKG/usr/man/man1/dcraw.1
+for lang in eo ru fr it de pt es zh_TW zh_CN nl pl hu cs ; do
+ install -d -m 0755 $PKG/usr/man/$lang.UTF-8/man1
+ install -m 0644 dcraw_$lang.1 $PKG/usr/man/$lang.UTF-8/man1/dcraw.1 || true
+ # Missing man page, hence the || true above #
+ install -d -m 0755 $PKG/usr/share/locale/$lang/LC_MESSAGES
+ msgfmt -o $PKG/usr/share/locale/$lang/LC_MESSAGES/dcraw.mo dcraw_$lang.po
+done
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+if [ "$1" == "rawphoto" ]; then
+ if [ -x /usr/bin/gimptool-2.0 ]; then
+ /usr/bin/gimptool-2.0 --build $CWD/rawphoto.c
+ install -D -m 0755 rawphoto $PKG/usr/lib/gimp/2.0/plug-ins/rawphoto
+ else
+ echo "Unable to build the rawphoto gimp plugin - is gimp installed?"
+ sleep 5
+ fi
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz